nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
nx::sdk::analytics::ObjectTrackTitlePacket Class Reference
Inheritance diagram for nx::sdk::analytics::ObjectTrackTitlePacket:

## Public Member Functions
| ObjectTrackTitlePacket (Uuid trackId=Uuid(), int64_t timestampUs=-1, Rect boundingBox=Rect(), const std::string &text="")
virtual int64_t | timestampUs () const override
virtual void | getTrackId (Uuid *outValue) const override
virtual void | getBoundingBox (Rect *outValue) const override
virtual const char * | text () const override
virtual const char * | imageUrl () const override
virtual const char * | imageData () const override
virtual int | imageDataSize () const override
virtual const char * | imageDataFormat () const override
virtual Flags | flags () const override
void | setTrackId (const Uuid &trackId)
void | setTimestampUs (int64_t timestampUs)
void | setBoundingBox (const Rect &boundingBox)
void | setText (std::string text)
void | setImageUrl (std::string imageUrl)
void | setImageData (std::vector< char > imageData)
void | setImageDataFormat (std::string imageDataFormat)
void | setImage (std::string imageDataFormat, std::vector< char > imageData)
void | setFlags (Flags flags)
Rect | boundingBox () const
Public Member Functions inherited from nx::sdk::RefCountable< IObjectTrackTitlePacket >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const

## Member Function Documentation

## ◆ boundingBox()

Rect nx::sdk::analytics::ObjectTrackTitlePacket::boundingBox | ( |  | ) | const
| inline

Returns
  Bounding box of the title, or an invalid rectangle (e.g. a default-constructed) if the title bounding box is unknown.

## ◆ setBoundingBox()

void nx::sdk::analytics::ObjectTrackTitlePacket::setBoundingBox | ( | const Rect & | boundingBox | ) |

See IObjectTrackTitlePacket::boundingBox().

## ◆ setFlags()

void nx::sdk::analytics::ObjectTrackTitlePacket::setFlags | ( | Flags | flags | ) |

See IObjectTrackTitlePacket::flags().

## ◆ setImage()

void nx::sdk::analytics::ObjectTrackTitlePacket::setImage | ( | std::string | imageDataFormat,
|  | std::vector< char > | imageData
| ) |  |

Stores image binary data - calls setImageDataFormat() and setImageData().

Parameters

  imageDataFormat | See IObjectTrackTitlePacket::imageDataFormat().

## ◆ setImageData()

void nx::sdk::analytics::ObjectTrackTitlePacket::setImageData | ( | std::vector< char > | imageData | ) |

See IObjectTrackTitlePacket::imageData().

## ◆ setImageDataFormat()

void nx::sdk::analytics::ObjectTrackTitlePacket::setImageDataFormat | ( | std::string | imageDataFormat | ) |

See IObjectTrackTitlePacket::imageDataFormat().

## ◆ setImageUrl()

void nx::sdk::analytics::ObjectTrackTitlePacket::setImageUrl | ( | std::string | imageUrl | ) |

See IObjectTrackTitlePacket::imageUrl().

## ◆ setText()

void nx::sdk::analytics::ObjectTrackTitlePacket::setText | ( | std::string | text | ) |

See IObjectTrackTitlePacket::text().

## ◆ setTimestampUs()

void nx::sdk::analytics::ObjectTrackTitlePacket::setTimestampUs | ( | int64_t | timestampUs | ) |

See IObjectTrackTitlePacket::timestampUs().

## ◆ setTrackId()

void nx::sdk::analytics::ObjectTrackTitlePacket::setTrackId | ( | const Uuid & | trackId | ) |

See IObjectTrackTitlePacket::trackId().

The documentation for this class was generated from the following files:

- src/nx/sdk/analytics/helpers/object_track_title_packet.h
- src/nx/sdk/analytics/helpers/object_track_title_packet.cpp